package g55803.dev2.td6.views.v1;

/** This interface imposes methods to format
 * elements to standard output.
 */
public interface View {

    /** Format the title.
     * @param title title to be formatted.
     */
    void makeTitle(String title);

    /** Format the subtitle.
     * @param subtitle subtitle to be formatted.
     */
    void makeSubTitle(String subtitle);

    /** Format a list item.
     * @param item list item to be formatted.
     */
    void makeItem(String item);

    /** Format a text paragraph.
     * @param paragraph the paragraph to be formatted.
     */
    void makeParagraph(String paragraph);
}
