package g55803.dev2.td6.views.v2;

/**
 * @author Nathan Furnal
 */
public class ColorView implements BlockView {
    private int order = 1;
    @Override
    public void makeTitle(String title) {
        System.out.println(TerminalColor.LIGHT_BLUE + title + TerminalColor.DEFAULT);
    }

    @Override
    public void makeSubTitle(String subtitle) {
        System.out.println(TerminalColor.BLUE + subtitle + TerminalColor.DEFAULT);

    }

    @Override
    public void makeItem(String item) {
        System.out.println("\t" + TerminalColor.GREEN + "- " + item + TerminalColor.DEFAULT);
    }

    @Override
    public void makeParagraph(String paragraph) {
        System.out.println(paragraph);
    }

    @Override
    public void orderedItem(String item){
        System.out.println("\t. " + TerminalColor.YELLOW + item + TerminalColor.DEFAULT);
        order++;
    }
}
