package g55803.dev2.td1;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

/**
 * @author Nathan Furnal
 */
public class ArrayUtilTest {

    @Test
    public void testSwapGeneralCase() {
//Arrange
        int[] array = {10, 11, 12};
        int pos1 = 0;
        int pos2 = 1;
//Action
        ArrayUtil.swap(array, pos1, pos2);
//Assert
        int[] expected = {11, 10, 12};
        assertArrayEquals(expected, array);
    }

    @Test
    public void testSwapOutsideArrayNegative() {
        int[] array = {10, 11, 12};
        int pos1 = -1;
        int pos2 = 0;
        assertThrows(IllegalArgumentException.class, () -> {
            ArrayUtil.swap(array, pos1, pos2);
        });
    }
}