package g55803.dev2.td6.views.v1;

/**
 * @author Nathan Furnal
 */
public class DecoratorView implements View{
    @Override
    public void makeTitle(String title) {
        int n = title.length();
        int pad = n / 2;
        int reps = n % 2 == 0 ? 2*n : 2*n-1;
        System.out.println("|"+"-".repeat(reps)+"|");
        System.out.println("|"+" ".repeat(pad) + title + " ".repeat(pad)+"|");
        System.out.println("|"+"-".repeat(reps)+"|");
        System.out.println();
    }

    @Override
    public void makeSubTitle(String subtitle) {
        int n = subtitle.length();
        System.out.println(subtitle);
        System.out.println("-".repeat(n+1));
    }

    @Override
    public void makeItem(String item) {
        System.out.println("\t" + "* " + item);
    }

    @Override
    public void makeParagraph(String paragraph) {
        System.out.println(paragraph);
    }
}

