package g55803.dev2.td6.views.v1;

/**
 * @author Nathan Furnal
 */
public class HTMLView implements BlockView{
    private int depth = 0;
    @Override
    public void beginItemize() {
        System.out.println("\t".repeat(depth) + "<ul>");
        depth++;
    }

    @Override
    public void endItemize() {
        System.out.println("\t".repeat(depth-1)+"</ul>");
        depth--;
    }

    @Override
    public void makeTitle(String title) {
        System.out.println("<h1>" + title + "</h1>");
    }

    @Override
    public void makeSubTitle(String subtitle) {
        System.out.println("<h2>" + subtitle + "</h2>");
    }

    @Override
    public void makeItem(String item) {
        System.out.println("\t".repeat(depth) + "<li>" + item + "</li>");
    }

    @Override
    public void makeParagraph(String paragraph) {
        System.out.println("<p>" + paragraph + "</p>");
    }
}
